[tool.poetry]
name = "ProxPythonLab"
version = "0.1.0"
description = ""
keywords=["algorithms", "proximal operators", "ptychography", "sudoku"]
license='BSD-3-Clause'
#originalAuthors = ["Russell Luke <r.luke@math.uni-goettingen.de>"]
authors = ["Leo Schaefer <leo.schaefer@stud.uni-goettingen.de>"]
readme = "README.md"

repository = "https://gitlab.gwdg.de/jschulz1/proxtoolbox/"
classifiers=[
        # How mature is this project? Common values are
        #   3 - Alpha
        #   4 - Beta
        #   5 - Production/Stable
        'Development Status :: 3 - Alpha',

        # Indicate who your project is intended for
        'Intended Audience :: Scientists',
        'Topic :: Scientific/Engineering :: Mathematics'
    ]

packages = [
    {include = "proxtoolbox"},
    {include = "ProxPythonDemos"},
    {include = "Nanoscale_Photonic_Imaging"},
    {include = "SetProxPythonPath"},
    {include = "ProxPythonData"}
]

[tool.poetry.scripts]
test="tests:runTests"
docs="docs:createDocs"

[tool.poetry.dependencies]
# Python version also in -gitlab-ci.yml
python = "3.8.*"
numpy = "^1.18.5"
scikit-image = "^0.16.2"
matplotlib = "^3.2.2"
scipy = "^1.4.1"
h5py = "^2.10.0"



[tool.poetry.dev-dependencies]
Sphinx = "^3.3.0"
sphinx-rtd-theme = "^0.5.0"
numpydoc = "^1.1.0"
pylint = "^2.6.0"

[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"
